﻿using System.Text.Json;

namespace ReportingServices.Dependency_Injections
{
    public class JsonFileHandler : IJsonFileHandler
    {
        public T LoadJSONFile<T>(string file)
        {
            string json = File.ReadAllText(file);
            return JsonSerializer.Deserialize<T>(json);
        }

        public void SaveJSONFile<T>(T obj, string file)
        {
            string json = JsonSerializer.Serialize(obj);
            File.WriteAllText(file, json);
        }
    }
}
